#!/usr/bin/env bash

sudo modprobe kvm

sudo qemu-system-riscv64 \
--nographic \
-M virt \
--enable-kvm \
-cpu host \
-m 1024M \
-smp 2 \
-kernel Image \
-initrd rootfs_kvm_guest.img \
-device virtio-net-device,netdev=eth0 -netdev user,id=eth0 \
-device virtio-rng-pci \
-append "root=/dev/ram rw console=ttyS0 earlycon=sbi"
